Subject: [amos-list] JamesBond net play results....
From: Andrew Crowe <[email-masked]>
To: [email-masked]
Date: Sat, 21 Aug 1999 23:42:23 +0000

From: Andrew Crowe <[email-masked]>

Hi Everybody,

   Ok, I am pleased to say that my netplay version of JamesBond worked!

What it didn't do was play nearly fast enough. It seemed that most the data packets just went straight out the window, resulting it about a 1/2 fps frame rate on the client machine :(

   I'm using the procedures donated by Pietro, but I think they may not work well because I converted my working irc proggy to them and it stopped working....

   The other posibility, is, I'm simply trying to send too much through the internet:

   The server needs to send about 400-500 bytes to each client every seccond to play at an acceptable rate. This equates to around 3.6kbits per seccond, which considering most modems are 56kbits shouldn't be a problem, but, who knows?

   PS. The macine that was acting as a server in my tests had a super fast cable modem, I only ran one client and the ping to them was 200ms, Which is (should) be good speed. 

   So, anyone got any idea why its so slow? Would the gui ext V2's tcp commands do a better job Pietro? Or I'm I just expecting too much from the internet?

   BTW. Pietro, would it be possible to make a command that sent the same TCP packet to more then one user? That'd reduce the network load 3 fold with a 4player game :)  (if that is possible with tcp...)

See ya.
-- 
       Manta Soft  -  Amiga programing & web page designing
     Http://members.tripod.com/~mantasoft/      ICQ: 21829166        
 Homepage updated 5/8/99 --- James Bond on GFX Card & CPU players!
  - ------------------- Quote of the day: -------------------- -
Q: How many surrealists does it take to screw in a lightbulb?
A: Fish

--------------------------- ONElist Sponsor ----------------------------

GET WHAT YOU DESERVE! A NextCard Platinum VISA: DOUBLE Rewards points, 
       NO annual fee & rates as low as 9.9 percent FIXED APR. 
Apply online today!                http://www.onelist.com/ad/nextcard1

------------------------------------------------------------------------
Official AMOS WWW: http://members.xoom.com/AmosFactory/front.html